import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTROperationalCertificateChain extends _NSObject {
    static alloc(): _MTROperationalCertificateChain;
    static new(): _MTROperationalCertificateChain;
    init(): _MTROperationalCertificateChain;
    initWithOperationalCertificate$intermediateCertificate$rootCertificate$adminSubject$(operationalCertificate: _NSData, intermediateCertificate: _NSData | null, rootCertificate: _NSData, adminSubject: _NSNumber | null): _MTROperationalCertificateChain;
    operationalCertificate(): _NSData;
    setOperationalCertificate$(value: _NSData): void;
    /** A nil intermediateCertificate means there is no intermediate. */
    intermediateCertificate(): _NSData | null;
    setIntermediateCertificate$(value: _NSData | null): void;
    rootCertificate(): _NSData;
    setRootCertificate$(value: _NSData): void;
    /**
     * adminSubject is passed to the device as part of the AddNOC command. A nil adminSubject means the node id of the relevant MTRDeviceController will be used.
     */
    adminSubject(): _NSNumber | null;
    setAdminSubject$(value: _NSNumber | null): void;
}
